Bug 1460420 - error building arm-trusted-firmware on F-26 aarch64
error building arm-trusted-firmware on F-26 aarch64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
26
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2017-06-10 04:36 EDT by Peter Robinson
Modified: 2017-10-17 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: binutils-2.27-24.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-14 23:02:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full build log from scratch build (9.84 KB, text/plain)
2017-06-10 04:36 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2017-06-10 04:36:30 EDT
Created attachment 1286595 [details]
full build log from scratch build

This builds fine on F-27 and there's minimal deps. It fails on F-26. The only real difference is the binutils version (2.27-23.fc26 vs 2.28-8.fc27).

Full log attached.

  AS      lib/cpus/aarch64/cortex_a53.S
  AS      lib/cpus/aarch64/cortex_a57.S
  AS      lib/cpus/aarch64/cortex_a72.S
  AS      bl31/aarch64/bl31_entrypoint.S
  AS      bl31/aarch64/runtime_exceptions.S
bl31/aarch64/runtime_exceptions.S: Assembler messages:
bl31/aarch64/runtime_exceptions.S:156: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:164: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:169: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:174: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:188: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:192: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:196: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:200: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:214: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:218: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:222: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:230: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:244: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:248: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:252: Error: non-constant expression in ".if" statement
bl31/aarch64/runtime_exceptions.S:260: Error: non-constant expression in ".if" statement
make: *** [Makefile:548: build/juno/release/bl31/runtime_exceptions.o] Error 1

F=26 failed scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19945792
F-27 successful build: https://koji.fedoraproject.org/koji/buildinfo?buildID=906690
Comment 1 Nick Clifton 2017-06-12 07:08:32 EDT
Hi Peter,

  FYI - this bug has been fixed upstream:

https://sourceware.org/bugzilla/show_bug.cgi?id=20364

  I have copied the patch from there and added it to the F26 binutils.
  Please try: binutils-2.27-24.fc26

Cheers
  Nick
Comment 2 Peter Robinson 2017-06-12 08:48:52 EDT
Hi Nick,

Did a scratch build and it LGTM, not sure why I didn't find that bug when I searched for the issue but thanks! Can we have it submitted as an update?
Comment 3 Fedora Update System 2017-06-12 11:09:52 EDT
binutils-2.27-24.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbc17e349e
Comment 4 Nick Clifton 2017-06-12 11:11:00 EDT
Hi Peter.

> Can we have it submitted as an update?

Here you go:

  https://bodhi.fedoraproject.org/updates/binutils-2.27-24.fc26

Cheers
  Nick
Comment 5 Fedora Update System 2017-06-13 21:35:25 EDT
binutils-2.27-24.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbc17e349e
Comment 6 Fedora Update System 2017-06-14 23:02:07 EDT
binutils-2.27-24.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.